This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 740459 - [abrt] blueman-1.21-8.fc15: Functions.py:270:check_single_instance:ValueError: invalid literal for int() with base 10: ''
[abrt] blueman-1.21-8.fc15: Functions.py:270:check_single_instance:ValueError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:5197ca5f077383a35faf1775cf7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-22 02:24 EDT by Nick
Modified: 2012-08-07 13:33 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:33:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nick 2011-09-22 02:24:34 EDT
abrt version: 2.0.3
architecture:   i686
cmdline:        
comment:        I turned on the computer and checked updates via "Software updates", immidiately the screen gone off and the system rebooted.
component:      blueman
executable:     /usr/bin/blueman-applet
kernel:         2.6.40.4-5.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        blueman-1.21-8.fc15
reason:         Functions.py:270:check_single_instance:ValueError: invalid literal for int() with base 10: ''
time:           Thu Sep 22 10:15:08 2011
uid:            500
username:       pupkin

backtrace:
:Functions.py:270:check_single_instance:ValueError: invalid literal for int() with base 10: ''
:
:Traceback (most recent call last):
:  File "/usr/bin/blueman-applet", line 364, in <module>
:    BluemanApplet()
:  File "/usr/bin/blueman-applet", line 297, in __init__
:    check_single_instance("blueman-applet")
:  File "/usr/lib/python2.7/site-packages/blueman/Functions.py", line 270, in check_single_instance
:    pid = int(f.readline())
:ValueError: invalid literal for int() with base 10: ''
:
:Local variables in innermost frame:
:id: 'blueman-applet'
:handler: <function handler at 0x9a693ac>
:unhide_func: None
:lockfile: '/tmp/blueman-applet-500'
:f: <open file '/tmp/blueman-applet-500', mode 'r' at 0xb723af40>
Comment 1 Nick 2011-09-23 01:46:07 EDT
Package: blueman-1.21-8.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I only turned on computer and logged in when message popped up.
Comment 2 Nick 2011-09-23 08:16:17 EDT
Package: blueman-1.21-8.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
All the same. And system crashed at this time.
Comment 3 rob martin 2011-10-03 02:39:26 EDT
Package: blueman-1.21-10.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Normal startup results in error
Comment 4 Nick 2011-10-05 04:15:07 EDT
Package: blueman-1.21-10.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I logged out after updates, then logged in.
Comment 5 Nick 2011-10-12 09:46:19 EDT
Package: blueman-1.21-10.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I don't remember.
Comment 6 d3nr0u 2011-12-01 15:27:16 EST
Package: blueman-1.21-10.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
error after boot
Comment 7 d3nr0u 2012-01-07 07:47:56 EST
Just start up the computer and log in

rating: (null)
Package: blueman-1.21-10.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 8 Pierre Amely 2012-05-01 15:25:25 EDT
after log in

Package: blueman-1.21-10.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 9 Fedora End Of Life 2012-08-07 13:33:33 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.